Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.log
Class SimpleFileLogger

    java.lang.Object
      com.ejie.r01f.log.SimpleFileLogger

All Implemented Interfaces:
  SimpleLogger

public class SimpleFileLogger
extends java.lang.Object
implements SimpleLogger

----------------------------------------------------------------------------- Ejemplo de utilizacion: SimpleFileLogger log = new SimpleFileLogger("TestLogger.log"); log.start(); log.writeln("Esto es una linea del log"); log.writeln("Esto es otra linea del log"); log.stop(); // OJO!!!! No olvidar llamar a stop(); -----------------------------------------------------------------------------

Constructor Summary
`SimpleFileLogger(java.lang.String logFileName)` Constructor a partir del nombre del fichero de log

Method Summary
`static void` | `main(java.lang.String[] args)` Test para probar el temilla...
`void` | `start()` Abre el fichero de log para escribir.
`void` | `stop()` Vacia el buffer y cierra el fichero de log ATENCION!!!
`void` | `write(java.lang.String s)` Escribe una cadena (sin retorno de carro) en el log.
`void` | `writeln()` Escribe un retorno de carro en el log
`void` | `writeln(java.lang.String s)` Escribe una cadena (con retorno de carro) en el log.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFileLogger

    public SimpleFileLogger(java.lang.String logFileName)

  Constructor a partir del nombre del fichero de log

Parameters:
  `logFileName` - nombre del path/logfile que se va a crear

Method Detail

### write

    public void write(java.lang.String s)

  Escribe una cadena (sin retorno de carro) en el log.

  Specified by:
    `write` in interface `SimpleLogger`
  Parameters:
    `s` - La cadena a escribir en el log.

### writeln

    public void writeln(java.lang.String s)

  Escribe una cadena (con retorno de carro) en el log.

  Specified by:
    `writeln` in interface `SimpleLogger`
  Parameters:
    `s` - La cadena a escribir en el log.

### writeln

    public void writeln()

  Escribe un retorno de carro en el log

  Specified by:
    `writeln` in interface `SimpleLogger`

### start

    public void start()

  Abre el fichero de log para escribir. ATENCION!! Llamar a este metodo ANTES de escribir en el fichero de log

  Specified by:
    `start` in interface `SimpleLogger`

### stop

    public void stop()

  Vacia el buffer y cierra el fichero de log ATENCION!!! Llamar a este metodo ya que de otra forma NO se grabarán todos los datos en el fichero

  Specified by:
    `stop` in interface `SimpleLogger`

### main

    public static void main(java.lang.String[] args)

  Test para probar el temilla...

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD